/*
** Module   : WeightFactor.java
** Abstract : An enum defining the possible weights to be set for context-local vars.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20140520 Created initial version.
*/

package com.goldencode.p2j.security;

/**
 * Enum defining the possible weight factors for context-local vars.  During context cleanup or
 * reset, the context-local tokens will be processed by the order provided by these factors.
 * <p>
 * If needed, add new levels above the {@link #LAST} level, as vars set to this level need to be
 * cleaned last.
 */
public enum WeightFactor
{
   NO_DEPENDENCY,
   LEVEL_1,
   LEVEL_2,
   LEVEL_3,
   LEVEL_4,
   LEVEL_5,
   LEVEL_6,
   LEVEL_7,
   LEVEL_8,
   LEVEL_9,
   LEVEL_10,
   LAST,
}
